Bug 158759 - compilation policy should adapt to past behavior
Summary: compilation policy should adapt to past behavior
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Geoffrey Garen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-14 15:00 PDT by Geoffrey Garen
Modified: 2016-06-23 09:09 PDT (History)
7 users (show)

See Also:


Attachments
Patch (5.80 KB, patch)
2016-06-14 15:03 PDT, Geoffrey Garen
sbarati: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Geoffrey Garen 2016-06-14 15:00:27 PDT
compilation policy should adapt to past behavior
Comment 1 Geoffrey Garen 2016-06-14 15:03:40 PDT
Created attachment 281285 [details]
Patch
Comment 2 Saam Barati 2016-06-14 15:13:51 PDT
Comment on attachment 281285 [details]
Patch

r=me
Comment 3 Geoffrey Garen 2016-06-15 12:20:21 PDT
Committed r202098: <http://trac.webkit.org/changeset/202098>
Comment 4 Chris Dumez 2016-06-15 21:43:23 PDT
I am working on confirming this but several graphs seem to indicate this is a 1% progression on PLT on both Mac and iOS.
Comment 5 Chris Dumez 2016-06-23 09:09:22 PDT
Confirmed 0.7% PLT progression on iOS and 1.5% PLT progression on MacBookPro. Awesome \o/